Documents
Get Document
Retrieves a single document by ID
Retrieves a single document by ID
Path Parameters
id*string
Document ID
Format
uuidQuery Parameters
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (team)
Default
"all"includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Value in
"true" | "false"Response Body
application/json
curl -X GET "https://example.com/v1/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "name": "string", "slug": "string", "visibility": "string", "createdById": "string", "lastEditedById": "string", "lastEditedAt": "2019-08-24T14:15:22Z", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "deletedById": "string", "description": { "html": "string", "markdown": "string" }, "team": { "id": "string", "name": "string", "publicId": "str" }}